import logging.config
import os.path

from configglue.pyschema import SchemaConfigParser
from django_configglue.utils import update_settings, SETTINGS_ENCODING

from schema import RnRSchema


# get absolute path for config files
current_dir = os.path.dirname(os.path.abspath(__file__))
config_files = map(lambda x: os.path.join(current_dir, x),
                   ['config/main.cfg', '../../local_config/local.cfg',
                    'local.cfg'])

# parse config files
parser = SchemaConfigParser(RnRSchema())
parser.read(config_files)
update_settings(parser, locals())

# keep parser reference
__CONFIGGLUE_PARSER__ = parser

logging.config.fileConfig(os.path.join(current_dir, LOGGING_CONFIG_FILE))

