#   -*- coding: utf-8 -*-
#   This file is part of Software Center Ratings and Reviews
#   Copyright (C) 2010-2011 Canonical Ltd.
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as
#   published by the Free Software Foundation, either version 3 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.

from __future__ import absolute_import
from __future__ import with_statement

__metaclass__ = type
__all__ = [
    'Transaction',
    ]

import time

from load_test_helpers import APITransaction


class Transaction(APITransaction):

    def run(self):
        start_timer = time.time()
        stats = self.public_rnr_client.review_stats()
        latency = time.time() - start_timer

        self.custom_timers['review_stats_complete'] = latency

        assert (type(stats) == list), 'Result was not a list.'


if __name__ == '__main__':
    trans = Transaction()
    trans.run()
    print trans.custom_timers
