#   -*- coding: utf-8 -*-
#   This file is part of Software Center Ratings and Reviews
#   Copyright (C) 2010-2011 Canonical Ltd.
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as
#   published by the Free Software Foundation, either version 3 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.core.management.base import BaseCommand

from reviewsapp.models import (
    SoftwareItemInRepository,
)

class Command(BaseCommand):
    option_list = BaseCommand.option_list

    help = "Recalculate aggregated stats for all software items in the db."

    def handle(self, *args, **options):
        verbosity = int(options['verbosity'])
        items = SoftwareItemInRepository.objects.all()
        if verbosity > 0:
            print "Updating stats for software items:"
        for item in items:
            if verbosity > 0:
                print ' ', item
            item.update_stats()
