
from south.db import db
from django.db import models
from reviewsapp.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Consumer'
        db.create_table('reviewsapp_consumer', (
            ('id', orm['reviewsapp.Consumer:id']),
            ('user', orm['reviewsapp.Consumer:user']),
            ('key', orm['reviewsapp.Consumer:key']),
            ('secret', orm['reviewsapp.Consumer:secret']),
            ('created_at', orm['reviewsapp.Consumer:created_at']),
            ('updated_at', orm['reviewsapp.Consumer:updated_at']),
        ))
        db.send_create_signal('reviewsapp', ['Consumer'])
        
        # Adding model 'Token'
        db.create_table('reviewsapp_token', (
            ('consumer', orm['reviewsapp.Token:consumer']),
            ('token', orm['reviewsapp.Token:token']),
            ('token_secret', orm['reviewsapp.Token:token_secret']),
            ('name', orm['reviewsapp.Token:name']),
            ('created_at', orm['reviewsapp.Token:created_at']),
            ('updated_at', orm['reviewsapp.Token:updated_at']),
        ))
        db.send_create_signal('reviewsapp', ['Token'])
        
        # Adding model 'Repository'
        db.create_table('reviewsapp_repository', (
            ('id', orm['reviewsapp.Repository:id']),
            ('origin', orm['reviewsapp.Repository:origin']),
            ('distroseries', orm['reviewsapp.Repository:distroseries']),
        ))
        db.send_create_signal('reviewsapp', ['Repository'])
        
        # Adding model 'Usefulness'
        db.create_table('reviewsapp_usefulness', (
            ('id', orm['reviewsapp.Usefulness:id']),
            ('review', orm['reviewsapp.Usefulness:review']),
            ('user', orm['reviewsapp.Usefulness:user']),
            ('useful', orm['reviewsapp.Usefulness:useful']),
        ))
        db.send_create_signal('reviewsapp', ['Usefulness'])
        
        # Adding model 'ReviewModeration'
        db.create_table('reviewsapp_reviewmoderation', (
            ('id', orm['reviewsapp.ReviewModeration:id']),
            ('review', orm['reviewsapp.ReviewModeration:review']),
            ('status', orm['reviewsapp.ReviewModeration:status']),
            ('date_created', orm['reviewsapp.ReviewModeration:date_created']),
            ('date_moderated', orm['reviewsapp.ReviewModeration:date_moderated']),
            ('moderator', orm['reviewsapp.ReviewModeration:moderator']),
            ('moderation_text', orm['reviewsapp.ReviewModeration:moderation_text']),
        ))
        db.send_create_signal('reviewsapp', ['ReviewModeration'])
        
        # Adding model 'Nonce'
        db.create_table('reviewsapp_nonce', (
            ('id', orm['reviewsapp.Nonce:id']),
            ('token', orm['reviewsapp.Nonce:token']),
            ('consumer', orm['reviewsapp.Nonce:consumer']),
            ('nonce', orm['reviewsapp.Nonce:nonce']),
            ('created_at', orm['reviewsapp.Nonce:created_at']),
        ))
        db.send_create_signal('reviewsapp', ['Nonce'])
        
        # Adding model 'Architecture'
        db.create_table('reviewsapp_architecture', (
            ('id', orm['reviewsapp.Architecture:id']),
            ('tag', orm['reviewsapp.Architecture:tag']),
        ))
        db.send_create_signal('reviewsapp', ['Architecture'])
        
        # Adding model 'SoftwareItem'
        db.create_table('reviewsapp_softwareitem', (
            ('id', orm['reviewsapp.SoftwareItem:id']),
            ('package_name', orm['reviewsapp.SoftwareItem:package_name']),
            ('app_name', orm['reviewsapp.SoftwareItem:app_name']),
            ('ratings_total', orm['reviewsapp.SoftwareItem:ratings_total']),
            ('ratings_average', orm['reviewsapp.SoftwareItem:ratings_average']),
            ('date_ratings_updated', orm['reviewsapp.SoftwareItem:date_ratings_updated']),
        ))
        db.send_create_signal('reviewsapp', ['SoftwareItem'])
        
        # Adding model 'Review'
        db.create_table('reviewsapp_review', (
            ('id', orm['reviewsapp.Review:id']),
            ('softwareitem', orm['reviewsapp.Review:softwareitem']),
            ('version', orm['reviewsapp.Review:version']),
            ('architecture', orm['reviewsapp.Review:architecture']),
            ('repository', orm['reviewsapp.Review:repository']),
            ('reviewer', orm['reviewsapp.Review:reviewer']),
            ('date_created', orm['reviewsapp.Review:date_created']),
            ('rating', orm['reviewsapp.Review:rating']),
            ('summary', orm['reviewsapp.Review:summary']),
            ('review_text', orm['reviewsapp.Review:review_text']),
            ('language', orm['reviewsapp.Review:language']),
            ('hide', orm['reviewsapp.Review:hide']),
            ('usefulness_total', orm['reviewsapp.Review:usefulness_total']),
            ('usefulness_favorable', orm['reviewsapp.Review:usefulness_favorable']),
            ('usefulness_percentage', orm['reviewsapp.Review:usefulness_percentage']),
        ))
        db.send_create_signal('reviewsapp', ['Review'])
        
        # Adding model 'ReviewModerationFlag'
        db.create_table('reviewsapp_reviewmoderationflag', (
            ('id', orm['reviewsapp.ReviewModerationFlag:id']),
            ('review_moderation', orm['reviewsapp.ReviewModerationFlag:review_moderation']),
            ('summary', orm['reviewsapp.ReviewModerationFlag:summary']),
            ('description', orm['reviewsapp.ReviewModerationFlag:description']),
            ('date_created', orm['reviewsapp.ReviewModerationFlag:date_created']),
            ('user', orm['reviewsapp.ReviewModerationFlag:user']),
        ))
        db.send_create_signal('reviewsapp', ['ReviewModerationFlag'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Consumer'
        db.delete_table('reviewsapp_consumer')
        
        # Deleting model 'Token'
        db.delete_table('reviewsapp_token')
        
        # Deleting model 'Repository'
        db.delete_table('reviewsapp_repository')
        
        # Deleting model 'Usefulness'
        db.delete_table('reviewsapp_usefulness')
        
        # Deleting model 'ReviewModeration'
        db.delete_table('reviewsapp_reviewmoderation')
        
        # Deleting model 'Nonce'
        db.delete_table('reviewsapp_nonce')
        
        # Deleting model 'Architecture'
        db.delete_table('reviewsapp_architecture')
        
        # Deleting model 'SoftwareItem'
        db.delete_table('reviewsapp_softwareitem')
        
        # Deleting model 'Review'
        db.delete_table('reviewsapp_review')
        
        # Deleting model 'ReviewModerationFlag'
        db.delete_table('reviewsapp_reviewmoderationflag')
        
    
    
    models = {
        'auth.group': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'reviewsapp.architecture': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'tag': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '16'})
        },
        'reviewsapp.consumer': {
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'secret': ('django.db.models.fields.CharField', [], {'default': "'OaEgHNvcJBKKBfkELYPAwvQwHtbgYU'", 'max_length': '255', 'blank': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'related_name': "'oauth_consumer'", 'unique': 'True', 'to': "orm['auth.User']"})
        },
        'reviewsapp.nonce': {
            'consumer': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Consumer']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nonce': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'token': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Token']"})
        },
        'reviewsapp.repository': {
            'distroseries': ('django.db.models.fields.SlugField', [], {'max_length': '25', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'origin': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'db_index': 'True'})
        },
        'reviewsapp.review': {
            'architecture': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Architecture']"}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2010, 12, 9, 20, 47, 18, 910573)'}),
            'hide': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.SlugField', [], {'max_length': '10', 'db_index': 'True'}),
            'rating': ('django.db.models.fields.IntegerField', [], {}),
            'repository': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Repository']"}),
            'review_text': ('django.db.models.fields.CharField', [], {'max_length': '5000'}),
            'reviewer': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'softwareitem': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.SoftwareItem']"}),
            'summary': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'usefulness_favorable': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'usefulness_percentage': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'usefulness_total': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'reviewsapp.reviewmoderation': {
            'date_created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2010, 12, 9, 20, 47, 18, 594381)'}),
            'date_moderated': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'moderation_text': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'moderator': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'}),
            'review': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Review']"}),
            'status': ('django.db.models.fields.SmallIntegerField', [], {'default': '0'})
        },
        'reviewsapp.reviewmoderationflag': {
            'date_created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2010, 12, 9, 20, 47, 18, 642063)'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'review_moderation': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.ReviewModeration']"}),
            'summary': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        },
        'reviewsapp.softwareitem': {
            'app_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'date_ratings_updated': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2010, 12, 9, 20, 47, 18, 200195)'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'package_name': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'db_index': 'True'}),
            'ratings_average': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '3', 'decimal_places': '2'}),
            'ratings_total': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        'reviewsapp.token': {
            'consumer': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Consumer']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'token': ('django.db.models.fields.CharField', [], {'default': "'xborzzbtuvJcYsccnorURYyomxsodvVKjZhiNfkhKyUMpBTZGm'", 'max_length': '50', 'primary_key': 'True'}),
            'token_secret': ('django.db.models.fields.CharField', [], {'default': "'XEkJYfYfDmdckrGEWBfdUAcYgHtDqiVxpAcogtHTIFAbAJgZXM'", 'max_length': '50'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'reviewsapp.usefulness': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'review': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Review']"}),
            'useful': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        }
    }
    
    complete_apps = ['reviewsapp']
