
from south.db import db
from django.db import models
from reviewsapp.models import *

class Migration:

    def forwards(self, orm):

        # Adding model 'SoftwareItemInRepository'
        db.create_table('reviewsapp_softwareiteminrepository', (
            ('id', orm['reviewsapp.softwareiteminrepository:id']),
            ('ratings_total', orm['reviewsapp.softwareiteminrepository:ratings_total']),
            ('ratings_average', orm['reviewsapp.softwareiteminrepository:ratings_average']),
            ('date_ratings_updated', orm['reviewsapp.softwareiteminrepository:date_ratings_updated']),
            ('softwareitem', orm['reviewsapp.softwareiteminrepository:softwareitem']),
            ('repository', orm['reviewsapp.softwareiteminrepository:repository']),
        ))
        db.send_create_signal('reviewsapp', ['SoftwareItemInRepository'])

        # Adding model 'SoftwareItemInOrigin'
        db.create_table('reviewsapp_softwareiteminorigin', (
            ('id', orm['reviewsapp.softwareiteminorigin:id']),
            ('ratings_total', orm['reviewsapp.softwareiteminorigin:ratings_total']),
            ('ratings_average', orm['reviewsapp.softwareiteminorigin:ratings_average']),
            ('date_ratings_updated', orm['reviewsapp.softwareiteminorigin:date_ratings_updated']),
            ('softwareitem', orm['reviewsapp.softwareiteminorigin:softwareitem']),
            ('origin', orm['reviewsapp.softwareiteminorigin:origin']),
        ))
        db.send_create_signal('reviewsapp', ['SoftwareItemInOrigin'])

        # Creating unique_together for [softwareitem, repository] on SoftwareItemInRepository.
        db.create_unique('reviewsapp_softwareiteminrepository', ['softwareitem_id', 'repository_id'])

        # Creating unique_together for [softwareitem, origin] on SoftwareItemInOrigin.
        db.create_unique('reviewsapp_softwareiteminorigin', ['softwareitem_id', 'origin'])



    def backwards(self, orm):

        # Deleting unique_together for [softwareitem, origin] on SoftwareItemInOrigin.
        db.delete_unique('reviewsapp_softwareiteminorigin', ['softwareitem_id', 'origin'])

        # Deleting unique_together for [softwareitem, repository] on SoftwareItemInRepository.
        db.delete_unique('reviewsapp_softwareiteminrepository', ['softwareitem_id', 'repository_id'])

        # Deleting model 'SoftwareItemInRepository'
        db.delete_table('reviewsapp_softwareiteminrepository')

        # Deleting model 'SoftwareItemInOrigin'
        db.delete_table('reviewsapp_softwareiteminorigin')


    models = {
        'auth.group': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'reviewsapp.architecture': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'tag': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '16'})
        },
        'reviewsapp.consumer': {
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'secret': ('django.db.models.fields.CharField', [], {'default': "'tSClJQJqRVGafwLxRgRpbYbgULxfMv'", 'max_length': '255', 'blank': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'related_name': "'oauth_consumer'", 'unique': 'True', 'to': "orm['auth.User']"})
        },
        'reviewsapp.nonce': {
            'consumer': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Consumer']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nonce': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'token': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Token']"})
        },
        'reviewsapp.repository': {
            'distroseries': ('django.db.models.fields.SlugField', [], {'max_length': '25', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'origin': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'db_index': 'True'})
        },
        'reviewsapp.review': {
            'architecture': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Architecture']"}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2011, 3, 15, 14, 9, 8, 706135)'}),
            'hide': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.SlugField', [], {'max_length': '10', 'db_index': 'True'}),
            'rating': ('django.db.models.fields.IntegerField', [], {}),
            'repository': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Repository']"}),
            'review_text': ('django.db.models.fields.CharField', [], {'max_length': '5000'}),
            'reviewer': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'softwareitem': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.SoftwareItem']"}),
            'summary': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'usefulness_favorable': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'usefulness_percentage': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'usefulness_total': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'reviewsapp.reviewmoderation': {
            'date_created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2011, 3, 15, 14, 9, 8, 565792)'}),
            'date_moderated': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'moderation_text': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'moderator': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'}),
            'review': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Review']"}),
            'status': ('django.db.models.fields.SmallIntegerField', [], {'default': '0'})
        },
        'reviewsapp.reviewmoderationflag': {
            'date_created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2011, 3, 15, 14, 9, 8, 224657)'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'review_moderation': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.ReviewModeration']"}),
            'summary': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True'})
        },
        'reviewsapp.rnrsettings': {
            'active_moderation': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'reviewsapp.softwareitem': {
            'app_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'date_ratings_updated': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2011, 3, 15, 14, 9, 7, 131574)'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'package_name': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'db_index': 'True'}),
            'ratings_average': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '3', 'decimal_places': '2'}),
            'ratings_total': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        'reviewsapp.softwareiteminorigin': {
            'Meta': {'unique_together': "(('softwareitem', 'origin'),)"},
            'date_ratings_updated': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2011, 3, 15, 14, 9, 7, 131574)'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'origin': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'db_index': 'True'}),
            'ratings_average': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '3', 'decimal_places': '2'}),
            'ratings_total': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'softwareitem': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.SoftwareItem']"})
        },
        'reviewsapp.softwareiteminrepository': {
            'Meta': {'unique_together': "(('softwareitem', 'repository'),)"},
            'date_ratings_updated': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2011, 3, 15, 14, 9, 7, 131574)'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ratings_average': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '3', 'decimal_places': '2'}),
            'ratings_total': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'repository': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Repository']"}),
            'softwareitem': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.SoftwareItem']"})
        },
        'reviewsapp.token': {
            'consumer': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Consumer']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'token': ('django.db.models.fields.CharField', [], {'default': "'mUNrFpFntsfhKjhoUywOQOgtkzJFWcTGWyjGOiCepWldIyJhDe'", 'max_length': '50', 'primary_key': 'True'}),
            'token_secret': ('django.db.models.fields.CharField', [], {'default': "'qGCVzWrDConREOOjqpLgEZZJHHORNXuZfoozpuWShVrzjNPGgk'", 'max_length': '50'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'reviewsapp.usefulness': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'review': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Review']"}),
            'useful': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        }
    }

    complete_apps = ['reviewsapp']
