import platform

from django.conf import settings
from django.core.handlers.wsgi import WSGIHandler

from canonical.oops.serializer import OOPSRFC822Serializer
from canonical.oops.wsgi import OopsWare

class RatingsWSGIHandler(WSGIHandler):
    def __init__(self):
        """Setup logging for the SCA web app."""
        super(RatingsWSGIHandler, self).__init__()

app = RatingsWSGIHandler()

def make_app():
    default_id = ''.join(x for x in platform.node() if x.isalpha())
    appserver_id = getattr(settings, 'APPSERVER_ID', default_id)
    oops_dir = getattr(settings, 'OOPS_DIR', '/tmp')
    oops_app = OopsWare(app, oops_dir=oops_dir, key=appserver_id,
        hide_meta=False)
    oops_app.serial = OOPSRFC822Serializer(appserver_id, oops_dir, None)
    return oops_app
